org.apache.storm.generated

## Class BeginDownloadResult

- java.lang.Object
- - org.apache.storm.generated.BeginDownloadResult

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<BeginDownloadResult>, org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class BeginDownloadResult
      extends Object
      implements org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>, Serializable, Cloneable, Comparable<BeginDownloadResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BeginDownloadResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<BeginDownloadResult._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeginDownloadResult()`
    `BeginDownloadResult(BeginDownloadResult other)` Performs a deep copy on other.
    `BeginDownloadResult(long version, String session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(BeginDownloadResult other)`
    `BeginDownloadResult` | `deepCopy()`
    `boolean` | `equals(BeginDownloadResult that)`
    `boolean` | `equals(Object that)`
    `BeginDownloadResult._Fields` | `fieldForId(int fieldId)`
    `long` | `get_data_size()`
    `String` | `get_session()`
    `long` | `get_version()`
    `Object` | `getFieldValue(BeginDownloadResult._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_data_size()` Returns true if field data_size is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_session()` Returns true if field session is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_version()` Returns true if field version is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(BeginDownloadResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_data_size_isSet(boolean value)`
    `void` | `set_data_size(long data_size)`
    `void` | `set_session_isSet(boolean value)`
    `void` | `set_session(String session)`
    `void` | `set_version_isSet(boolean value)`
    `void` | `set_version(long version)`
    `void` | `setFieldValue(BeginDownloadResult._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_data_size()`
    `void` | `unset_session()`
    `void` | `unset_version()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<BeginDownloadResult._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### BeginDownloadResult

          public BeginDownloadResult()

    - #### BeginDownloadResult

          public BeginDownloadResult(long version,
                                     String session)

    - #### BeginDownloadResult

          public BeginDownloadResult(BeginDownloadResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BeginDownloadResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### get_version

          public long get_version()

    - #### set_version

          public void set_version(long version)

    - #### unset_version

          public void unset_version()

    - #### is_set_version

          public boolean is_set_version()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### set_version_isSet

          public void set_version_isSet(boolean value)

    - #### get_session

          public String get_session()

    - #### set_session

          public void set_session(String session)

    - #### unset_session

          public void unset_session()

    - #### is_set_session

          public boolean is_set_session()

      Returns true if field session is set (has been assigned a value) and false otherwise

    - #### set_session_isSet

          public void set_session_isSet(boolean value)

    - #### get_data_size

          public long get_data_size()

    - #### set_data_size

          public void set_data_size(long data_size)

    - #### unset_data_size

          public void unset_data_size()

    - #### is_set_data_size

          public boolean is_set_data_size()

      Returns true if field data_size is set (has been assigned a value) and false otherwise

    - #### set_data_size_isSet

          public void set_data_size_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(BeginDownloadResult._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### getFieldValue

          public Object getFieldValue(BeginDownloadResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### isSet

          public boolean isSet(BeginDownloadResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(BeginDownloadResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(BeginDownloadResult other)

      Specified by:
        `compareTo` in interface `Comparable<BeginDownloadResult>`

    - #### fieldForId

          public BeginDownloadResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<BeginDownloadResult,BeginDownloadResult._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.